package eu.dnetlib.is.context;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;

import eu.dnetlib.common.controller.AbstractDnetController;
import eu.dnetlib.data.is.context.model.Context;

public class AbstractContextController extends AbstractDnetController {

	@Autowired
	protected ContextService contextService;

	@GetMapping("/")
	public List<Context> listContexts() {
		return contextService.listContexts();
	}

}
